Qyra
ReferenceMy Account

Create personal access token

Create personal access token

POST/api/v1/user/me/personal-access-tokens

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "description": "string",
  "expiresAt": "2024-01-01T00:00:00.000Z",
  "autoGenerated": true
}

Responses

200 — Success

{
  "results": {
    "description": "string",
    "expiresAt": "2024-01-01T00:00:00.000Z",
    "rotatedAt": "2024-01-01T00:00:00.000Z",
    "lastUsedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "uuid": "string",
    "token": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}